/* Styles for the modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: transparent;
  opacity: 0; /* Set initial opacity to 0 */
  transition: opacity 0.5s ease; /* Add transition for opacity */
}

.modal-content {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 20px;
  border-radius: 10px;
  overflow: hidden;
  background-color: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  max-width: 80%;
  width: 600px; /* Adjust the width as needed */
}

.modal-close {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  cursor: pointer;
}

.popup-text {
  text-align: center;
}

.popup-button {
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  border: none;
  cursor: pointer;
}

.popup-button:hover {
  background-color: #0056b3;
}

.popup-section {
  padding: 10px;
}

.popup-title {
  color: #007bff;
  margin: 0;
}

.popup-flex-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

.popup-image {
  max-width: 200px;
  border-radius: 5px;
}

.popup-text {
  flex: 1;
  margin-left: 5px;
}

.popup-terms {
  margin: 0;
  font-size: 12px;
}

.popup-terms a {
  color: #007bff;
  text-decoration: none;
}

.popup-terms-section {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.popup-button {
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s, border-radius 0.3s;
}

.popup-button:hover {
  background-color: #0056b3;
  border-radius: 5px;
}


/* Additional styles for the new form layout */
.wrap {
  padding: 20px;
}

.form-row {
  margin-bottom: 15px;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.form-label {
  flex: 1;
  text-align: right;
  padding-right: 10px;
}

.form-input {
  flex: 2;
}

.button-primary {
  background-color: #0073aa;
  color: white;
  border: none;
  padding: 8px 20px;
  border-radius: 5px;
  cursor: pointer;
}

.button-primary:hover {
  background-color: #005a84;
}




/** Rewarding Component */
.rewarding-emaill-form {
  padding-top: 10px;
}

.rewarding-terms {
  margin: 0;
  font-size: 10px;
  padding-top: 10px;
  padding-bottom: 5px;
}

.rewarding-terms a {
  color: #007bff;
  text-decoration: none;
}

.rewarding-text {
  font-size: 14px;
}
